package com.ozs.rpm.dto.mdm;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;

public class MdmCreateTableDTO {
	@ApiModelProperty("表Id")
	private String tableId;
	@ApiModelProperty("表名称")
	private String tableName;
	@ApiModelProperty("表注释（中文名）")
	private String tableComment;
	@ApiModelProperty("表描述")
	private String tableDesc;
	@ApiModelProperty("所属数据库ID")
	private String databaseId;
	@ApiModelProperty("字符集ID")
	private Integer charsetId;
	@ApiModelProperty("字符集名称")
	private String charsetName;
	@ApiModelProperty("hive建表行分割符")
	private Integer hiveSeparatorRow;
	@ApiModelProperty("hive建表列分割符")
	private Integer hiveSeparatorColumn;
	@ApiModelProperty("hive建表分区")
	private String hivePartition;
	@ApiModelProperty("最后更新人")
	private String updateUserId;

	@ApiModelProperty("DDL建表sql语句")
	private String ddl;
	@ApiModelProperty("扫描建表复制后表Id")
	private String copyTableId;

	public String getCopyTableId() {
		return copyTableId;
	}

	public void setCopyTableId(String copyTableId) {
		this.copyTableId = copyTableId;
	}

	public String getDdl() {
		return ddl;
	}

	public void setDdl(String ddl) {
		this.ddl = ddl;
	}

	public String getTableId() {
		return tableId;
	}

	public void setTableId(String tableId) {
		this.tableId = tableId;
	}

	@ApiModelProperty("表包含字段")
	private List<MdmInfoColumn> columns;

	public String getCharsetName() {
		return charsetName;
	}

	public void setCharsetName(String charsetName) {
		this.charsetName = charsetName;
	}

	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	public String getTableComment() {
		return tableComment;
	}

	public void setTableComment(String tableComment) {
		this.tableComment = tableComment;
	}

	public String getTableDesc() {
		return tableDesc;
	}

	public void setTableDesc(String tableDesc) {
		this.tableDesc = tableDesc;
	}

	public String getDatabaseId() {
		return databaseId;
	}

	public void setDatabaseId(String databaseId) {
		this.databaseId = databaseId;
	}

	public Integer getCharsetId() {
		return charsetId;
	}

	public void setCharsetId(Integer charsetId) {
		this.charsetId = charsetId;
	}

	public Integer getHiveSeparatorRow() {
		return hiveSeparatorRow;
	}

	public void setHiveSeparatorRow(Integer hiveSeparatorRow) {
		this.hiveSeparatorRow = hiveSeparatorRow;
	}

	public Integer getHiveSeparatorColumn() {
		return hiveSeparatorColumn;
	}

	public void setHiveSeparatorColumn(Integer hiveSeparatorColumn) {
		this.hiveSeparatorColumn = hiveSeparatorColumn;
	}

	public String getHivePartition() {
		return hivePartition;
	}

	public void setHivePartition(String hivePartition) {
		this.hivePartition = hivePartition;
	}

	public String getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(String updateUserId) {
		this.updateUserId = updateUserId;
	}

	public List<MdmInfoColumn> getColumns() {
		return columns;
	}

	public void setColumns(List<MdmInfoColumn> columns) {
		this.columns = columns;
	}

}
